Package: io.vertx.groovy.ext.web.handler

## [Groovy] Class BasicAuthHandler

- io.vertx.groovy.ext.web.handler.BasicAuthHandler

- All Implemented Interfaces and Traits:
    AuthHandler

      @CompileStatic
      class BasicAuthHandler

  An auth handler that provides HTTP Basic Authentication support.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BasicAuthHandler (Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `AuthHandler` | `addAuthorities(Set<String> authorities)` Add a set of required authorities for this auth handler
    `AuthHandler` | `addAuthority(String authority)` Add a required authority for this auth handler
    `static AuthHandler` | `create(AuthProvider authProvider)` Create a basic auth handler
    `static AuthHandler` | `create(AuthProvider authProvider, String realm)` Create a basic auth handler, specifying realm
    `Object` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### BasicAuthHandler(Object delegate)

  - ### Method Detail

    - #### AuthHandler addAuthorities(Set<String> authorities)

      Add a set of required authorities for this auth handler

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `authorities` - the set of authorities

    - #### AuthHandler addAuthority(String authority)

      Add a required authority for this auth handler

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `authority` - the authority

    - #### static AuthHandler create(AuthProvider authProvider)

      Create a basic auth handler

      Returns:
        the auth handler
      Parameters:
        `authProvider` - the auth provider to use

    - #### static AuthHandler create(AuthProvider authProvider, String realm)

      Create a basic auth handler, specifying realm

      Returns:
        the auth handler
      Parameters:
        `authProvider` - the auth service to use
        `realm` - the realm to use

    - #### Object getDelegate()

    - #### void handle(RoutingContext arg0)